<inp2:adm_SetPopupSize width="850" height="610"/>

<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="s" section="in-commerce:shipping" title_preset="shipping_type_edit" tab_preset="Default"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
						submit_event('s','<inp2:s_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
						submit_event('s','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('s', '<inp2:s_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('s', '<inp2:s_NextId/>');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.Render();

				<inp2:m_if check="s_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
					a_toolbar.HideButton('sep2');
				<inp2:m_else/>
					<inp2:m_if check="s_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="s_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:s_SaveWarning name="grid_save_warning"/>
<inp2:s_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="subsection" title="la_Text_Shipping_Type"/>
			<inp2:m_RenderElement name="inp_id_label" prefix="s" field="ShippingID" title="la_fld_Id"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="Code" title="la_fld_ShippingCode" size="20"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="Name" title="la_fld_ShippingName" size="40"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="SpeedCode" title="la_fld_SpeedCode" size="20"/>
			<inp2:m_RenderElement name="inp_edit_radio" prefix="s" field="Status" title="la_fld_Status"/>
			<inp2:m_RenderElement name="inp_edit_radio" prefix="s" field="Type" title="la_fld_ShippingType"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="BaseFee" title="la_fld_BaseFee"/>
			<inp2:m_RenderElement name="inp_edit_options" use_phrases="1" prefix="s" field="InsuranceType" title="la_fld_Insurance_Type"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="InsuranceFee" title="la_fld_Insurance_Fee" size="4"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="s" field="FreeShippingMinAmount" title="la_fld_FreeShippingMinAmount"/>
			<inp2:m_RenderElement name="inp_edit_checkbox" prefix="s" field="IsFreePromoShipping" title="la_fld_IsFreePromoShipping"/>

			<!-- <inp2:m_RenderElement name="inp_edit_box" prefix="s" field="CODFlatSurcharge" title="la_fld_CODFlatSurcharge" size="10" /> -->
			<!-- <inp2:m_RenderElement name="inp_edit_box" prefix="s" field="CODPercentSurcharge" title="la_fld_CODPercentSurcharge" size="10" /> -->
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>